### A free/open-source library for quantitative finance

Public Types | Public Member Functions
BMASwap Class Reference

swap paying Libor against BMA coupons More...

`#include <ql/instruments/bmaswap.hpp>`

Inheritance diagram for BMASwap:
[legend]

List of all members.

## Public Types

enum | Type { Receiver = -1, Payer = 1 }

## Public Member Functions

| BMASwap (Type type, Real nominal, const Schedule &liborSchedule, Rate liborFraction, Rate liborSpread, const boost::shared_ptr< IborIndex > &liborIndex, const DayCounter &liborDayCount, const Schedule &bmaSchedule, const boost::shared_ptr< BMAIndex > &bmaIndex, const DayCounter &bmaDayCount)
Inspectors
Real | liborFraction () const
Spread | liborSpread () const
Real | nominal () const
Type | type () const
| "payer" or "receiver" refer to the BMA leg
const Leg & | bmaLeg () const
const Leg & | liborLeg () const
Results
Real | liborLegBPS () const
Real | liborLegNPV () const
Rate | fairLiborFraction () const
Spread | fairLiborSpread () const
Real | bmaLegBPS () const
Real | bmaLegNPV () const

## Detailed Description

swap paying Libor against BMA coupons